Skip to main content
PUT
Create or update a contact method by external ID

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

externalId
string
required

External ID

Minimum string length: 1

Body

application/json
clientId
string<uuid>
required

Client ID

type
enum<string>
required

Type

Available options:
email,
phone,
mobile,
fax,
other
value
string
required

Value

Minimum string length: 1
isPrimary
boolean
default:false

Is Primary

label
string

Label

metadata
object

Metadata

Response

200 - application/json

OK

data
object
required
action
enum<string>
required
Available options:
created,
updated,
skipped